Draws a circle

- « ImagickDraw::bezier

- ImagickDraw::clear »

- PHP Manual
- ImagickDraw
- Draws a circle

# ImagickDraw::circle

(PECL imagick 2, PECL imagick 3)

ImagickDraw::circle — Draws a circle

### Description

public ImagickDraw::circle(
float `$ox`,
float `$oy`,
float `$px`,
float `$py`
): bool
Warning

This function is currently not documented; only its argument list is available.

Draws a circle on the image.

### Parameters

`ox`

  origin x coordinate

`oy`

  origin y coordinate

`px`

  perimeter x coordinate

`py`

  perimeter y coordinate

### Return Values

No value is returned.

### Examples

Example #1 ImagickDraw::circle() example

    <?phpfunction circle($strokeColor, $fillColor, $backgroundColor, $originX, $originY, $endX, $endY) {    //Create a ImagickDraw object to draw into.    $draw = new \ImagickDraw();    $strokeColor = new \ImagickPixel($strokeColor);    $fillColor = new \ImagickPixel($fillColor);    $draw->setStrokeOpacity(1);    $draw->setStrokeColor($strokeColor);    $draw->setFillColor($fillColor);    $draw->setStrokeWidth(2);    $draw->setFontSize(72);    $draw->circle($originX, $originY, $endX, $endY);    $imagick = new \Imagick();    $imagick->newImage(500, 500, $backgroundColor);    $imagick->setImageFormat("png");    $imagick->drawImage($draw);    header("Content-Type: image/png");    echo $imagick->getImageBlob();}?>